<?php use_helper('BillingPrice') ?>
<?php use_helper('BillingFormat') ?>
<?php if ($store->hasAbilityToPurchasePlan($plan->getRawValue())): ?>
<form id="plan_<?php echo $plan->getId(); ?>" action="<?php echo url_for('@buy?container=' . $container, isset($absoluteUrls) ? $absoluteUrls : false); ?>" method="post">
	<input name="plan" type="hidden" value="<?php echo $plan->getId(); ?>"/>
	<?php if ($plan->hasMultipleVariants($currencyId)): ?>
		<?php if($plan->getRawValue() instanceof BillingDomainPlan) : ?>
			<div class="b-plan-properties">
				<?php if ($lowestPrice = $plan->getLowestCyclePrice($store->getId(), $currencyId)): ?>
					<?php echo __('TRANS_STARTING_FROM'); ?> <?php echo formatPrice($lowestPrice->getCycleFee(), $currencyId); ?>
				<?php endif; ?>
			</div>
		<?php else : ?>
			<div class="b-plan-properties">
				<select name="price" id="prices_<?php echo $plan->getId(); ?>">
				<?php foreach (preparePrices($plan, $currencyId) as $data): ?>
					<option value="<?php echo $data['id']; ?>"><?php if ($data['variantName']): ?>"<?php echo $data['variantName']; ?>" - <?php endif; ?><?php echo __($data['cycleName']); ?> - <?php echo formatPrice($data['price']->getCycleFee(), $currencyId); ?></option>
				<?php endforeach; ?>
				</select>
			</div>
			<?php foreach (preparePrices($plan, $currencyId) as $data): ?>
				<div style="display: none;" class="price_data_<?php echo $plan->getId(); ?>" id="price_data_<?php echo $data['id']; ?>"><?php include_partial('catalog/priceAdditionalData', array('price' => $data['price'], 'currencyId' => $currencyId)); ?></div>
			<?php endforeach; ?>
			<script type="text/javascript">
				$("#prices_<?php echo $plan->getId(); ?>").change(function () {
					$(".price_data_<?php echo $plan->getId(); ?>:visible").hide();
					var selectedPrice = $("#prices_<?php echo $plan->getId(); ?> option:selected").val();
					$("#price_data_" + selectedPrice).show();
				});
				var selectedPrice = $("#prices_<?php echo $plan->getId(); ?> option:selected").val();
				$("#price_data_" + selectedPrice).show();
			</script>
		<?php endif; ?>
	<?php else: ?>
	<div class="b-plan-properties">
		<?php if ($plan->getPricesCount($currencyId) == 1): ?>
		<?php foreach (preparePrices($plan, $currencyId) as $data): ?>
		<input name="price" type="hidden" value="<?php echo $data['id']; ?>"/>
		<?php echo formatPrice($data['price']->getCycleFee(), $currencyId); ?> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($data['cycleName']); ?>
		<div style="margin: 12px 0px 0px 0px;">
			<?php include_partial('catalog/priceAdditionalData', array('price' => $data['price'], 'currencyId' => $currencyId)); ?>
		</div>
		<?php endforeach; ?>
		<?php elseif ($plan->getPricesCount($currencyId) > 1): ?>
		<div class="selection">
		<?php foreach (preparePrices($plan, $currencyId) as $data): ?>
			<div class="b-label">
				<label for="<?php echo $data['id']; ?>">
					<input name="price" type="radio" class="radio" value="<?php echo $data['id']; ?>" name="hosting-type"<?php if (!isset($checked)): ?> checked="checked"<?php endif; ?>/> <?php echo formatPrice($data['price']->getCycleFee(), $currencyId); ?> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($data['cycleName']); ?><br />
				</label>
				<?php include_partial('catalog/priceAdditionalData', array('price' => $data['price'], 'currencyId' => $currencyId)); ?>
			</div>
			<?php $checked = true; ?>
		<?php endforeach; ?>
		</div>
		<?php endif; ?>
	</div>
	<?php endif; ?>
</form>
<a id="buyNow_<?php echo $plan->getId(); ?>" class="btn btn-action" href="#" onclick="$('#plan_<?php echo $plan->getId(); ?>').submit(); return false;"><span><i><?php echo __('TRANS_BUY_NOW'); ?></i></span></a>
<?php else: ?>
<div class="b-plan-properties">
	<?php echo __('TRANS_NOT_FOR_SALE'); ?>
</div>
<?php endif; ?>